<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      procartz Enterprise 3.8                                       ***
  ***      File:  block_manuals_search.php                                 ***
  ***      Built: Tue Nov 14 19:00:40 2006                                 ***
  ***      http://www.procartz.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


function manuals_search($block_name) {
	global $t, $db, $table_prefix;

	$t->set_file("block_body", "block_manuals_search.html");
	$t->set_var("MANUALS_SEARCH_IN_FIRST_VARIANT", MANUALS_SEARCH_IN_FIRST_VARIANT);
	$t->set_var("MANUALS_SEARCH_FOR_MSG", MANUALS_SEARCH_FOR_MSG);
	$t->set_var("MANUALS_SEARCH_IN_MSG", MANUALS_SEARCH_IN_MSG);
	$t->set_var("MANUALS_SEARCH_TITLE", MANUALS_SEARCH_TITLE);
	
	// Select manuals
	$sql = "SELECT * FROM ".$table_prefix."manuals_list ";
	$sql .= "WHERE allowed_view = 1 ORDER BY manual_title";
	$db->query($sql);
	if ($db->next_record()) {
		do {
			$t->set_var("option_value", $db->f("manual_id"));
			$t->set_var("option_description", $db->f("manual_title"));
			$t->parse("option", true);
		} while($db->next_record());
	}
	$t->parse("manuals_select", false);
	
	$t->parse("block_body", false);
	$t->parse($block_name, true);
}
?>